Skip to main content
GET
[Cloudflare] List the zones of the connected account

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

organization_id
string<uuid>
required
project_id
string<uuid>
required

Query Parameters

Only the zones in this state.

Available options:
importable,
in_another_project,
linked,
linked_elsewhere,
managed_by_onetsolutions,
missing,
owned_elsewhere
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page (at most 100).

Response

count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"

page
integer
Example:

3

page_size
integer
Example:

20

total_pages
integer
Example:

7